# Pending Transfers Retrieve the list of all pending monthly certificate intra-registry transfers for Monthly vintage certificates for an account/accounts. Results do not include pending imports or export. Endpoint: GET /api/ledger/transfer/pending Version: 1.0.0 Security: JWT ## Query parameters: - `accountIds` (array) Account ids: if specified, limits results to the items related to the accounts whose ids match the provided set; otherwise, all results related to any authorized account will be returned - `direction` (string) Transfer direction Enum: "I", "O" - `$filter` (string) OData-like filter expression - `$orderby` (string) Comma-separated list of columns for sorting - `$skip` (integer) Number of records to skip - `$top` (integer) Maximum number of records to return - `$apply` (string) OData-like apply expression with groupby and aggregate only ## Response 200 fields (application/json): - `@count` (integer) - `value` (array, required) - `value.accountId` (string, required) The account identifier Example: "55" - `value.certificateSerialNumberRange` (string, required) The certificate serial number range Example: "NAR-REC-1234-CA-06-2024-555555-1 to 66" - `value.dateInitiated` (string, required) The date the transfer was initiated Example: "2024-10-06T22:38:15.08Z" - `value.direction` (string, required) The transfer direction: I=Incoming, O=Outgoing Enum: "I", "O" - `value.eligibilities` (string) a comma-delimited list of eligibility codes: see documentation for possible values Example: "CRS Listed" - `value.fuelTypeCode` (string, required) The fuel type code: see documentation for possible values Example: "H2O" - `value.resourceName` (string, required) The resource name Example: "Acme Hydro" - `value.resourceProgramAssignedIdentifier` (string, required) The resource identifier Example: "GEN1234" - `value.countrySubdivisionCode` (string) State or Province that the resource is located in (ISO 3166-2 code) Example: "CA" - `value.notes` (string) notes Example: "For contract XYZ" - `value.quantity` (number, required) The transfer quantity Example: 66 - `value.transfereeId` (string, required) The transferee (buyer) account identifier Example: "77" - `value.transferId` (string, required) The transfer identifier Example: "5678" - `value.transferorId` (string, required) The transferor (seller) account identifier Example: "55" - `value.vintageMonth` (string, required) The vintage month (rendered as an ISO-8601 date) Example: "06/2024" - `totalCount` (integer) - `countExceeded` (boolean, required) ## Response 400 fields (application/json): - `submissionId` (string) Submission identifier for issue investigation - `errors` (array) List of errors - `errors.parameter` (string) The parameter in error, if applicable - `errors.correlationId` (string) The correlation identifier from the input - `errors.path` (string) The path to the field specifically in error, if applicable - `errors.field` (string) - `errors.code` (string) The field in error, if applicable - `errors.message` (string, required) The error code ## Response 401 fields (application/json): - `submissionId` (string) Submission identifier for issue investigation - `errors` (array) List of errors - `errors.parameter` (string) The parameter in error, if applicable - `errors.correlationId` (string) The correlation identifier from the input - `errors.path` (string) The path to the field specifically in error, if applicable - `errors.field` (string) - `errors.code` (string) The field in error, if applicable - `errors.message` (string, required) The error code ## Response 403 fields (application/json): - `submissionId` (string) Submission identifier for issue investigation - `errors` (array) List of errors - `errors.parameter` (string) The parameter in error, if applicable - `errors.correlationId` (string) The correlation identifier from the input - `errors.path` (string) The path to the field specifically in error, if applicable - `errors.field` (string) - `errors.code` (string) The field in error, if applicable - `errors.message` (string, required) The error code ## Response 429 fields (application/json): - `submissionId` (string) Submission identifier for issue investigation - `errors` (array) List of errors - `errors.parameter` (string) The parameter in error, if applicable - `errors.correlationId` (string) The correlation identifier from the input - `errors.path` (string) The path to the field specifically in error, if applicable - `errors.field` (string) - `errors.code` (string) The field in error, if applicable - `errors.message` (string, required) The error code ## Response 500 fields (application/json): - `submissionId` (string) Submission identifier for issue investigation - `errors` (array) List of errors - `errors.parameter` (string) The parameter in error, if applicable - `errors.correlationId` (string) The correlation identifier from the input - `errors.path` (string) The path to the field specifically in error, if applicable - `errors.field` (string) - `errors.code` (string) The field in error, if applicable - `errors.message` (string, required) The error code